Camelia, the Perl 6 bug

IRC log for #darcs, 2013-10-27

| Channels | #darcs index | Today | | Search | Google Search | Plain-Text | summary

All times shown according to UTC.

Time Nick Message
00:03 dolio joined #darcs
00:28 gh_ joined #darcs
01:03 Igloo__ joined #darcs
02:10 intripoon joined #darcs
02:22 mizu_no_oto joined #darcs
02:46 _ilbot joined #darcs
02:46 Topic for #darcs is now http://darcs.net/ | logs: http://irclog.perlgeek.de/darcs/ | darcs 2.8.4 is out http://darcs.net/Releases/2.8
02:55 mizu_no_oto joined #darcs
03:33 mizu_no_oto joined #darcs
04:00 mizu_no_oto joined #darcs
04:06 mizu_no_oto joined #darcs
04:40 preflex_ joined #darcs
06:06 dolio joined #darcs
06:32 favonia joined #darcs
07:02 lelit joined #darcs
07:17 gh_ joined #darcs
08:00 lelit joined #darcs
09:07 thorkilnaur joined #darcs
09:33 lelit joined #darcs
09:35 whaletechno joined #darcs
09:58 gh_ joined #darcs
10:59 donri joined #darcs
11:37 amgarchIn9 joined #darcs
12:21 amgarchIn9 joined #darcs
13:10 mizu_no_oto joined #darcs
15:26 raichoo joined #darcs
15:54 qinglingquan joined #darcs
15:55 qinglingquan left #darcs
16:06 mizu_no_oto joined #darcs
16:11 amgarchIn9 joined #darcs
16:35 kmels joined #darcs
16:42 mtp joined #darcs
16:42 mtp joined #darcs
17:45 felipe joined #darcs
17:48 preflex joined #darcs
18:22 whaletechno joined #darcs
18:26 mizu_no_oto joined #darcs
18:50 lelit joined #darcs
18:59 schlaftier joined #darcs
19:08 donri joined #darcs
19:18 gh_ hi
19:23 arpunk joined #darcs
19:23 amgarchIn9 Hi. "conflict: darcs-fastconvert => darcs>=2.9.6" is darcs already at 2.9?
19:32 gh_ amgarchIn9, darcs 2.9 would be the current development version at http://darcs.net/reviewed
19:33 mornfall not sure how to read that
19:35 amgarchIn9 I wabted ti try darcs bridge again. Does it make sense to try it with 2.8? Because cabal does not find any 2.9: "rejecting: darcs-2.8.4, 2.8.3, 2.8.2, 2.8.1 ..."
19:35 mornfall I suspect the last version of darcs fastconvert worked with was 2.5.x
19:35 amgarchIn9 *wanted
19:36 amgarchIn9 *.cabal file lists 2.9. I changed that to 2.8, let's see how far it goes
19:36 mornfall sounds dangerous
19:40 amgarchIn9 2.8.4 install failed because of -liconv missing.
19:45 gh_ this last message is a bug, what's actually missing from your system are the development files for libcurl (see http://bugs.darcs.net/issue2345)
19:52 amgarchIn9 thanks, libcurl3-dev was it on Ubuntu 12.04
19:54 amgarchIn9 Could not find module `Darcs.Util.SignalHandler'. Can I unpull something recent from darcs-bridge repo?
19:57 amgarchIn9 or is there a way to cabal install darcs-2.9?
19:58 gh_ amgarchIn9, you can  `darcs get http://darcs.net/reviewed darcs-reviewed` then run cabal install inside of the darcs-reviewed directory
19:58 gh_ +do
20:02 arpunk_ joined #darcs
20:05 amgarchIn9 will darcs check download all patches in a lazy repo? There was some error when I hit C-c.
20:07 Heffalump I think it does
20:08 amgarchIn9 replaying patches and not much traffic yet: 10K down
20:10 amgarchIn9 I dont see how to "cabal remve darcs-2.8.4" before "cabal  install" in 2.9 root
20:10 amgarchIn9 *remove
20:11 amgarchIn9 nevermind, using --force-reinstalls already
20:19 arpunk joined #darcs
20:21 amgarchIn9 Is this something that can be fixed? http://pastebin.com/tx0FBvXP
20:25 amgarchIn9 darcs-birdge referred to 2.9.6 in *.cabal. Current is 2.9.7, not far away
20:29 amgarchIn9 doing cabal install at 2.9.6 tag
20:38 amgarchIn9 MissingH is broken when I install 2.9 but is required for darcs-bridge. Re-instaling it breaks darcs-2.9, hm
20:49 amgarchIn9 removed ~/.cabal that lived over several Ubuntu upgrades. Now darcs 2.9 wont install at all.
20:49 amgarchIn9 darcs-2.9.7:force-char8-encoding => base>=4 && <4.4)
20:51 amgarchIn9 I understand "base" is not something one can fool around with. Enough for today. Thanks, you all.
21:00 sm amgarchIn9: the darcs-fastconvert on hackage, built with an older ghc, may be an easier route
21:02 amgarchIn9 I have an older build of darcs-fastconvert at work which I already used several years ago. Will try that tomorrow.
21:03 sm worked well for me
21:08 amgarchIn9 Hm. Removing ~/.cabal didnt do it: "Installed versions: 2.8.4, 2.9.5, 2.9.6, 2.9.7" How do I obliterate all of cabal-managed packages?
21:10 amgarchIn9 rm -r ~/.ghc probably. http://stackoverflow.com/questions/1​2048352/my-cabal-packages-are-fubar-​how-can-i-purge-them-and-start-over
21:37 gh_ mornfall, about http://irclog.perlgeek.de/​darcs/2013-10-15#i_7717675 : we care.
21:41 gh_ and we also appreciate the use of the bug tracker
21:46 lambdabot joined #darcs
22:16 konundra joined #darcs
22:17 amgarchIn9 This seems to fix darcs-bridge for current darcs-reviewed: http://hub.darcs.net/amgarching/darcs-bridg​e-export-branch/patch/20131027221142-4fec0 Needs someonw more familiar with both projects to confirm.
22:23 amgarchIn9 rather http://hub.darcs.net/amgarching/darc​s-bridge/patch/20131027221142-4fec0
22:27 HugoDaniel joined #darcs
22:27 HugoDaniel hi
22:34 mizu_no_oto joined #darcs
22:35 sm amgarchIn9: looks good, updating darcs-bridge to the latest patience diff changes in darcs
22:36 sm generally it may be better to submit patches against darcs-screened, they'll get merged there first
22:37 sm or what I mean is, if it were me I'd test with darcs-screened and let darcs devs worry about darcs-reviewed - correct me if wrong
22:40 amgarchIn9 I dont quite get the difference between -screened and -reviewed
22:40 amgarchIn9 screended is ahead of reviewed by ~8 patches
22:44 gh_ "screened" is where the developers push our patches, then the patches of "screened" are pushed to "reviewed" as they are reviewed
22:44 gh_ s/our/their
22:52 amgarchIn9 just tried --- works also against darcs-screened. It is darcs-bridge that is behind darcs proper and needs a fix, not darcs itself.
22:53 HugoDaniel how can i use darcs from haskell and replicate the behaviour of some commands ?
23:05 Heffalump HugoDaniel: in darcs head, look at the Darcs.UI.Commands namespace
23:07 Heffalump there's a brief wiki page about the darcs API but I'm failing to find it
23:08 gh_ HugoDaniel, you can have a look at the code of darcsden , which calls some darcs commands : http://hub.darcs.net/simon/darcsden
23:09 HugoDaniel oh cool
23:09 HugoDaniel thank you :)
23:11 sm amgarchIn9: yeah the branches are a bit confusing. -screened is the active development branch, things are moved from tehre to -reviewed later by core darcs devs. I think.
23:11 * sm thinks some must get rejected/amended in -screened also
23:15 gh_ no, once a patch is in screened, it remains. fixes are done with follow-up patches.
23:22 sm aha
23:23 sm so I think of -screened as darcs trunk, and -reviewed as a QA/release branch - fair ?
23:25 Heffalump sm: yes
23:29 sm a long-lived release branch - not one per release as some project do
23:38 * gh_ just tagged screened as 2.9.8

| Channels | #darcs index | Today | | Search | Google Search | Plain-Text | summary